Author: jfrederic.clere(a)jboss.com
Date: 2009-08-10 04:21:18 -0400 (Mon, 10 Aug 2009)
New Revision: 2537
Modified:
trunk/build/unix/buildsrc.jboss-native.sh
Log:
Ajust the location.
Modified: trunk/build/unix/buildsrc.jboss-native.sh
===================================================================
--- trunk/build/unix/buildsrc.jboss-native.sh 2009-08-07 15:44:40 UTC (rev 2536)
+++ trunk/build/unix/buildsrc.jboss-native.sh 2009-08-10 08:21:18 UTC (rev 2537)
@@ -38,19 +38,23 @@
native_dist=$2
if [ $native_tag = "trunk" ]; then
-
native_svn=http://svn.apache.org/repos/asf/tomcat/connectors/trunk
+
native_svn=http://svn.apache.org/repos/asf/tomcat/native/trunk
native_tag_opt="-r HEAD"
native_ext=current
else
# here we convert something like TOMCAT_NATIVE_1_1_11 to 1.1.11
native_ext=`echo ${native_tag} | awk -F _ '{ print $3 "." $4
"." $5 }'`
-
native_svn=http://svn.apache.org/repos/asf/tomcat/connectors/tags/other/$...
+
native_svn=http://svn.apache.org/repos/asf/tomcat/native/tags/${native_ta...
fi
-svn export --native-eol=${NATIVEEOL} ${native_tag_opt} ${native_svn}/jni/native
${native_dist}/srclib/tomcat-native-${native_ext}
+svn export --native-eol=${NATIVEEOL} ${native_tag_opt} ${native_svn}/native
${native_dist}/srclib/tomcat-native-${native_ext}
if [ $? -ne 0 ]; then
echo "svn export ${native_tag_opt} failed"
exit 1
fi
+if [ -d ${native_dist}/srclib/tomcat-native-${native_ext} ]; then
+ echo "svn export ${native_tag_opt} failed not found???"
+ exit 1
+fi
# Apply patches
$build_top/util/applypatch.sh $build_top
${native_dist}/srclib/tomcat-native-${native_ext} false